/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.eai.event;

/**
 * A listener for events on VRML fields
 *
 * @version 1.1 25 April 1998
 */
public interface VrmlEventListener
{
    /**
     * Process an event that has occurred on a node's eventOut
     *
     * @param evt The event that caused this method to be called
     */
    public void eventOutChanged(VrmlEvent evt);

}



