@echo off

REM
REM Javadoc document generator for EAI classes.
REM
REM Written by Justin Couch justin@vlc.com.au
REM

SETLOCAL

set PKGS= vrml.external vrml.external.field vrml.external.exception
set PKGS= %PKGS% vrml.eai vrml.eai.event vrml.eai.field

echo Generating EAI javadoc documentation


javadoc -version -d docs %PKGS%


IF NOT %ERRORLEVEL% EQU 0 GOTO error
echo Documentation complete
goto end

:error
echo Documentation generation error  

:end
pause