/*
 *      @(#)MFInt32.java 1.9 98/11/05 20:40:31
 *
 * Copyright (c) 1996-1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Sun grants you ("Licensee") a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Sun.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 *
 * @Author: Rick Goldberg
 * @Author: Doug Gehringer
 */

package vrml.field;

public class MFInt32 extends vrml.MField {
    com.sun.j3d.loaders.vrml97.impl.MFInt32 impl;

    public MFInt32(com.sun.j3d.loaders.vrml97.impl.MFInt32 init) {
	super(init);
	impl = init;
    }

    public Object clone() {
	return new MFInt32(
		(com.sun.j3d.loaders.vrml97.impl.MFInt32)impl.clone());
    }

    public void getValue(int[] values) {
	impl.getValue(values);
    }

    public void setValue(int[] values) {
	impl.setValue(values);
    }
    
    public void setValue(int size, int[] values) { 
	impl.setValue(size, values);
    }

    public void setValue(ConstMFInt32 f) {
	impl.setValue(f.impl);
    }

    public int get1Value(int index) {
	return impl.get1Value( index);
    }

    public void set1Value(int index, int f) {
	impl.set1Value( index, f);
    }
    
    public void set1Value(int index, ConstSFInt32 f) {
	impl.set1Value( index, f.impl);
    }

    public void set1Value(int index, SFInt32 f) {
	impl.set1Value( index, f.impl);
    }

    public void addValue(int f) {
    }
	    
    public void addValue(ConstSFInt32 f) {
	impl.addValue( f.impl);
    }

    public void addValue(SFInt32 f) {
	impl.addValue( f.impl);
    }

    public void insertValue( int index, int f ) {
    }

    public void insertValue( int index, ConstSFInt32 f ) {
	impl.insertValue(index, f.impl);
    }

    public void insertValue( int index, SFInt32 f ) {
	impl.insertValue(index, f.impl);
    }				

    public int getSize() { return impl.getSize(); }
    public void clear() { impl.clear(); }
    public void delete(int i ) {impl.delete(i); }
		
}
